import request from '@/utils/request'


export function getExtractDataTableNameList() {
  return request({
    url: '/property/dataRunName/extractDataTableName',
    method: 'post',
  })
}

export function addDeptAssetAuthorization(data) {
  return request({
    url: '/property/dataRunName/addDeptAssetAuthorization',
    method: 'post',
    data:data
  })
}

export function delDeptAssetAuthorization(data) {
  return request({
    url: '/property/dataRunName/delDeptAssetAuthorization',
    method: 'post',
    data:data
  })
}

export function addUserAssetAuthorization(data) {
  return request({
    url: '/property/dataRunName/addUserAssetAuthorization',
    method: 'post',
    data:data
  })
}


export function delUserAssetAuthorization(data) {
  return request({
    url: '/property/dataRunName/delUserAssetAuthorization',
    method: 'post',
    data:data
  })
}

// --------------------------------------------------------

/**
 * 查询资产赋权用户信息
 * @param data 参数信息
 * @returns {*} 响应结果
 */
export function findUserIdList(data) {
  return request({
    url: '/property/dataRunName/findUserIdList',
    method: 'POST',
    data
  })
}

/**
 * 查询资产赋权部门信息
 * @param data 参数信息
 * @returns {*} 响应结果
 */
export function findDeptIdList(data) {
  return request({
    url: '/property/dataRunName/findDeptIdList',
    method: 'POST',
    data
  })
}


